Page MenuHomePhabricator

Allow libc++abi to be built without unwinder.
ClosedPublic

Authored by logan on Jan 17 2015, 12:02 AM.

Details

Summary

The efforts to build LLVM ARM EHABI unwinder breaks the possibility
to build libcxxabi with libgcc. This commit fix the problem by
introducing the LIBCXXABI_USE_LLVM_UNWINDER conditional compilation
flag and guard the unwinder-specific changes in libc++abi.

(p.s. This is the 2/6 patch to fix the backtrace_test and libgcc support.)

Diff Detail

Event Timeline

logan updated this revision to Diff 18337.Jan 17 2015, 12:02 AM
logan retitled this revision from to Allow libc++abi to be built without unwinder..
logan updated this object.
logan edited the test plan for this revision. (Show Details)
logan added reviewers: danalbert, rengolin, jroelofs.
logan added a subscriber: Unknown Object (MLST).
rengolin accepted this revision.Jan 20 2015, 6:09 AM
rengolin edited edge metadata.

LGTM, Thanks!

This revision is now accepted and ready to land.Jan 20 2015, 6:09 AM
logan closed this revision.Jan 22 2015, 5:29 AM

Thanks. Committed as rL226819.